---
title: "Mikrotik RB5009"
date: 2023-12-21T15:46:00+01:00
---

<!--more-->

## Installation

Die Anleitung ist größtenteils aus dem [OpenWrt Wiki](https://openwrt.org/toh/mikrotik/rb5009ug_s_in#installation_instructions_with_modified_routerboot) übernommen.

### Router vorbereiten
- BOOTP Server + TFTP Server starten
  - `ip addr add 192.168.1.10/24 dev eth0`
  - `ip link set up dev eth0`
  - [Image](https://github.com/adron-s/openwrt-rb5009/releases/download/rb5009-20220209/openwrt-mvebu-cortexa72-mikrotik_rb5009-initramfs-fit-uImage.elf) herunterladen
  - Im Ordner, in den das Image heruntergeladen wurde:
    - `dnsmasq --no-daemon --listen-address 192.168.1.10 --bind-interfaces -p0 --dhcp-authoritative --dhcp-range=192.168.1.100,192.168.1.200 --bootp-dynamic --dhcp-boot=openwrt-mvebu-cortexa72-mikrotik_rb5009-initramfs-fit-uImage.elf --log-dhcp --enable-tftp --tftp-root=$(pwd)`
- Computer in Port 1 (2.5G) stecken
- Router im Netinstall Modus starten
  - Router mit gedrücktem Reset-Button (fest!) booten
  - Reset-Button gedrückt halten bis dnsmasq reagiert und einen BOOTP Lease verteilt
- Nach erfolgreichem Boot (`dnsmasq-tftp: sent xyz to 192.168.1.108`) in LAN-Port 2 umstecken

### Backups erstellen
Dieser Schritt ist unbedingt nötig, und die erzeugten Backups sollten unbedingt gut gespeichert werden,
damit es später möglich ist wieder die Herstellersoftware zu flashen.
```sh
# aabbccddeeff durch die tatsächliche MAC Adresse des RB5009 ersetzen!
# Der Vorgang dauert ca. 5 Minuten, da insgesamt über 1GB vom Router gelesen wird!

ssh root@192.168.1.1 'cat /dev/mtd?' | zstd > mtd.bin.zst
ssh root@192.168.1.1 'cat /proc/mtd' > procmtd.txt
tar -cf rb5009-aabbccddeeff.tar procmtd.txt mtd.bin.zst
rm procmtd.txt mtd.bin.zst
```

### RouterBOOT Bootloader anpassen
- `wget https://github.com/adron-s/aux-loader2/raw/main/releases/2.xx-latest/rbt-with-aux-for-mtd5.bin`
- `scp -O rbt-with-aux-for-mtd5.bin root@192.168.1.1:/tmp/`
- Per SSH auf dem gebooteten OpenWrt einloggen: `ssh root@192.168.1.1`
- `mtd write /tmp/rbt-with-aux-for-mtd5.bin RouterBOOT`
- `echo cfg > /sys/firmware/mikrotik/soft_config/boot_device`
- `echo 1 > /sys/firmware/mikrotik/soft_config/commit`

### Freifunk Firmware installieren
- Firmware ("sysupgrade") per `scp -O` auf den Router nach `/tmp` kopieren
- `sysupgrade -n /tmp/fff-*-mikrotik_rb5009-sysupgrade.bin`

## Ports für Layer3 Konfiguration
| Geräteport | Untagged | Tagged  |
|------------|----------|---------|
| SFP+       | `sfp:*`  | `sfp:t` |
| 2.5G       | `p1:*`   | `p1:t`  |
| 2          | `p2:*`   | `p2:t`  |
| 3          | `p3:*`   | `p3:t`  |
| 4          | `p4:*`   | `p4:t`  |
| 5          | `p5:*`   | `p5:t`  |
| 6          | `p6:*`   | `p6:t`  |
| 7          | `p7:*`   | `p7:t`  |
| 8          | `p8:*`   | `p8:t`  |

## Links
- [OpenWRT Wiki](https://openwrt.org/toh/mikrotik/rb5009ug_s_in)
